Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.jms
Class QueueConnection

    java.lang.Object
      org.jboss.seam.jms.QueueConnection

    @Scope(value=APPLICATION)
    @BypassInterceptors
    @Name(value="org.jboss.seam.jms.queueConnection")
    @Install(precedence=0,
             genericDependencies=ManagedQueueSender.class)
    public class QueueConnection

extends Object

Manager for a JMS QueueConnection. By default, the JBoss MQ UIL2.

Author:
  Gavin King

Constructor Summary
`QueueConnection()`

Method Summary
`void` | `destroy()`
`javax.jms.QueueConnection` | `getQueueConnection()`
`String` | `getQueueConnectionFactoryJndiName()` The JNDI name of the QueueConnectionFactory
`void` | `init()`
`static javax.jms.QueueConnection` | `instance()`
`void` | `setQueueConnectionFactoryJndiName(String jndiName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueueConnection

    public QueueConnection()

Method Detail

### getQueueConnectionFactoryJndiName

    public String getQueueConnectionFactoryJndiName()

  The JNDI name of the QueueConnectionFactory

### setQueueConnectionFactoryJndiName

    public void setQueueConnectionFactoryJndiName(String jndiName)

### init

    @Create
    public void init()
              throws NamingException,
                     javax.jms.JMSException

  Throws:
    `NamingException`
    `javax.jms.JMSException`

### destroy

    @Destroy
    public void destroy()
                 throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### getQueueConnection

    @Unwrap
    public javax.jms.QueueConnection getQueueConnection()

### instance

    public static javax.jms.QueueConnection instance()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.